<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_create_ftype_entry" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_createFTypeEntry - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_createFTypeEntry(char*, char*, char*, int, char**);
/*****************************************************************************
  FUNCTION : ann_create_ftype_entry

  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_create_ftype_entry</refname>

    <refpurpose>Create a new functionality type.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>ann_create_ftype_entry(network, ftype_symbol, act_func_name, out_func_name, array_of_site_names);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>ftype_symbol</term>

        <listitem>
          <para>FType symbol (string)</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>act_func_name</term>

        <listitem>
          <para>Name of the activation function (string)</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>out_func_name</term>

        <listitem>
          <para>Name of the output unit function (string)</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>array_of_site_names</term>

        <listitem>
          <para>Array of N elements of site names is required for the
          definition of the sites.</para>
        </listitem>
      </varlistentry>

    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>The number of Ftype entries and the number of sites per Ftype is only
    limited by the size of system memory.

    Error if:
        - memory allocation fails
        - FType name isn't definite (symbol is used for another FType or symbol
          is a NULL pointer)
        - one or more site names are undefined
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
